// Louis-Clément LEFÈVRE
//
// Le contenu d'un cahier de texte, arrêté à la fin 2024

#import "/hoche-cdt.typ": *
#show: hoche-cdt

#statistiques()

= Vacances du nouvel an : 24 décembre 2024 au 5 janvier 2025

#semaine(numéro: 14, date: "16 au 22 décembre",
  seance(type: "cours", date: "Vendredi 20/12", durée: (3, 30),
    [Retour DS 4], [],
    [Chapitre 12 : Calculs de dérivées, primitives, intégrales], [
      - I.4 Dérivée de la fonction réciproque, application à la fonction arctangente et aux fonctions trigonométriques réciproques.
      - II.1 Rappels sur les primitives, unicité à une constante près.
      - II.2 Méthode de calculs de primitives, primitives usuelles.
    ],
  ),
  seance(type: "cours", date: "Mercredi 18/12", durée: 2,
    [Chapitre 12 : Calculs de dérivées, primitives, intégrales], [
      - I.1 Taux de variation, nombre dérivé, fonction dérivée.
      - I.2 Calculs de dérivées usuelles à partir de la définition, $x^2$, $x^n$, $1/x$, $sqrt(x)$.
      - I.3 Opérations usuelles sur les dérivées, somme, produit, composition, applications de la composition.
    ],
  ),
  seance(type: "TP", date: "Mardi 17/12", durée: 2, x2: true,
    [TP 12 : Algorithmes récursifs], [
      - Tracer des fractales avec le module `turtle`.
    ],
  ),
  seance(type: "TD", date: "Lundi 16/12", durée: 3, x2: true,
    [TD 11 : Dénombrement], [
      - Dénombrer dans de nombreuses situations concrètes.
    ]
  ),
)

#semaine(numéro: 13, date: "9 au 15 décembre",
  seance(type: "cours", date: "Vendredi 12/12", durée: (3, 30),
    [Chapitre 11 : Dénombrement], [
      - II.3 Cardinal de l'ensemble des applications de $E$ dans $F$.
      - II.4 Listes sans répétitions, nombre d'arrangements, permutations, divers exemples de situations.
      - II.5 Parties de $E$ à $p$ éléments, diverses situations, cardinal de l'ensemble de toutes les parties de $E$, bijection entre parties de $E$ et fonctions indicatrices.
      - III Interprétation combinatoire des formules sur les coefficients binomiaux, formule du pion, binôme de Newton.
      - IV D'autres situations, anagrammes.
    ],
  ),
  seance(type: "cours", date: "Mercredi 11/12", durée: 2,
    [Chapitre 11 : Dénombrement], [
      - I.1 Ensembles finis, définition via une bijection, cardinal, complémentaire, inclusion, union.
      - I.2 Applications injectives, surjectives, bijectives entre ensembles finis.
      - II.1 Cardinal d'une union disjointe, partition.
      - II.2 Cardinal d'un produit cartésien, cardinal de l'ensemble des $p$-listes d'éléments de $E$, exemples de situations de produit cartésien ou de listes, compter en binaire.
    ],
  ),
  seance(type: "TP", date: "Mardi 10/12", durée: 2, x2: true,
    [TP 11 : Dichotomie], [
      - Jeu du plus grand ou plus petit, recherche de solutions d'équations, recherche dans une liste.
    ],
  ),
  seance(type: "TD", date: "Lundi 9/12", durée: 3, x2: true,
    [TD 10 : Systèmes linéaires], [
      - Échelonner et résoudre des systèmes linéaires, systèmes à paramètres.
    ]
  ),
)

#semaine(numéro: 12, date: "2 au 8 décembre",
  seance(type: "DS", date: "Samedi 7/12", durée: 3,
    [DS 4], [],
  ),
  seance(type: "cours", date: "Vendredi 6/12", durée: (3, 30),
    [Chapitre 10 : Systèmes linéaires], [
      - II.3 Exemples d'application du pivot de Gauss, commentaires sur la forme échelonnée.
      - II.4 Le rang, systèmes de Cramer, systèmes de rang maximal.
      - III D'autres exemples, application aux polynômes, systèmes à paramètres, équilibrer une réaction chimique.
    ],
    [TD 9 : Étude de fonctions], [
      - Inégalités, puissances réelles.
    ]
  ),
  seance(type: "cours", date: "Mercredi 4/12", durée: 2,
    [Chapitre 10 : Systèmes linéaires], [
      - I Exemples, diverses situations à 3 ou 4 inconnues.
      - II.1 Définitions, système linéaire, compatibilité, homogénéité.
      - II.2 Les trois opérations élémentaires.
      - II.3 Pivot de Gauss, définition d'un système échelonné, équations principales et conditions de compatibilité, inconnues principales et inconnues libres.
    ],
  ),
  seance(type: "TP", date: "Mardi 3/12", durée: 2, x2: true,
    [TP 10 : Récursivité], [
      - Fonctions récursives, nouveaux phénomènes.
    ],
  ),
  seance(type: "TD", date: "Lundi 2/12", durée: 3, x2: true,
    [TD 8 : Applications], [
      - Étudier la bijectivité et donner la bijection réciproque.
    ],
    [TD 9 : Étude de fonctions], [
      - Domaine de définition, inégalités.
    ]
  ),
)

#semaine(numéro: 11, date: "25 novembre au 1 décembre",
  seance(type: "spécial", date: "Samedi 30/11",
    [Forum des grandes écoles], [],
  ),
  seance(type: "cours", date: "Vendredi 29/11", durée: 4,
    [Retour DS 3], [],
    [Chapitre 9 : Étude de fonctions], [
      - II.6 Fonction réciproque, sens de variation, parité.
      - III.1 Représentation graphique, effet des opérations.
      - III.2 Symétries du graphe.
      - III.3 Tangentes, asymptotes.
      - IV.1 Catalogue des fonctions usuelles, fonctions puissances $x |-> x^n$ avec $n in NN$, puis avec $n in ZZ$, fonctions racines.
      - IV.2 Fonctions logarithme et exponentielle.
      - IV.3 Puissances réelles. Fonction puissance $x |-> x^α$ avec $α in RR$, exponentielle de base quelconque $x |-> a^x$ avec $a in lr(bracket.r 0, +oo bracket.l)$.
      - IV.4 Fonctions trigonométriques et leur réciproque.
    ],
    [DM 3 pour le 13/12], [],
    [Soutien], [Exponentielle et logarithme, dérivation, correction du DS 3.]
  ),
  seance(type: "cours", date: "Mercredi 27/11", durée: 2,
    [Chapitre 9 : Étude de fonctions], [
      - I Opérations sur les fonctions, domaine de définition, déterminer le domaine de définition.
      - II.1 Propriétés de croissance, composition.
      - II.2 Propriétés de majorations, d'extrema.
      - II.3 Rappels sur la dérivée et le sens de variation. Application à démontrer des inégalités.
      - II.4 Fonctions paires et impaires, étudier la parité.
      - II.5 Fonctions périodiques, plus petite période.
    ],
  ),
  seance(type: "TP", date: "Mardi 26/11", durée: 2, x2: true,
    [TP 9 : Recherche dans un texte], [
      - Recherche de mot ou de séquence ADN.
      - L'algorithme de Knuth-Morris-Pratt.
    ],
  ),
  seance(type: "TD", date: "Lundi 25/11", durée: 3, x2: true,
    [TD 8 : Applications], [
      - Étudier l'injectivité et la surjectivité, composer des applications, utiliser un tableau de variations.
    ],
  ),
)

#semaine(numéro: 10, date: "18 au 24 novembre",
  seance(type: "cours", date: "Vendredi 22/11", durée: 4,
    [Chapitre 8 : Applications], [
      - II.2 Surjectivité, exemples.
      - II.3 Bijectivité, application réciproque, exemples.
      - II.4 Point de vue de la composition, inverse pour la composition, unicité, composition de bijections.
      - III Cas des fonctions réelles, une fonction monotone est injective, théorème des valeurs intermédiaires, l'image d'un intervalle par une fonction continue est un intervalle, théorème de la bijection, application aux fonctions trigonométriques réciproques.
    ],
    [Soutien], [Exponentielle et logarithme, dérivation.]
  ),
  seance(type: "cours", date: "Mercredi 20/11", durée: 2,
    [Chapitre 8 : Applications], [
      - I.2 Lois de Morgan via les applications caractéristiques.
      - I.3 Opération de composition, non-commutativité, élément neutre, associativité.
      - I.4 Images directes et réciproques, utilisation des tableaux de variation, utilisation des systèmes linéaires, composition.
      - II.1 Injectivité, exemples.
    ],
  ),
  seance(type: "TP", date: "Mardi 19/11", durée: 2, x2: true,
    [TP 8 : Tri], [
      - Rappels sur les algorithmes sur les listes.
      - Les algorithmes de tri.
    ],
  ),
  seance(type: "spécial", date: "Lundi 18/11",
    [Conférence : Le carbone dans les sols], [],
  ),
  seance(type: "TD", date: "Lundi 18/11", durée: 3, x2: true,
    [TD 7 : Sommes et produits], [
      - Calculs de sommes, de sommes doubles, binôme de Newton.
    ],
  ),
)

#semaine(numéro: 9, date: "11 au 17 novembre",
  seance(type: "DS", date: "Samedi 16/11", durée: 3,
    [DS 3], [],
  ),
  seance(type: "cours", date: "Vendredi 15/11", durée: (3, 30),
    [Chapitre 7 : Sommes et produits], [
      - II.3 Exemples de calculs avec la formule du binôme de Newton.
    ],
    [Retour DM 2], [],
    [TD 7 : Sommes et produits], [
      - Calculs de sommes et de sommes doubles.
    ],
    [Chapitre 8 : Applications], [
      - I.1 Notion d'application, image, antécédent, ensembles de départ et d'arrivée, graphe, égalité d'applications, notion de fonction, domaine de définition, graphe.
      - I.2 L'application identité, restriction d'applications, prolongements, application caractéristique d'une partie.
    ]
  ),
  seance(type: "cours", date: "Mercredi 13/11", durée: 2,
    [Chapitre 7 : Sommes et produits], [
      - II.2 Coefficients binomiaux, formule de Pascal, triangle de Pascal.
      - II.3 La formule du binôme de Newton, exemples de calculs.
    ],
  ),
  seance(type: "TD", date: "Mardi 12/11", durée: 2, x2: true, spécial: true,
    [TD 6 : Suites], [
      - Suites récurrentes non-linéaires.
    ],
    [TD 7 : Sommes et produits], [
      - Renversement de sommes, méthode de Gauss.
    ]
  ),
)

#semaine(numéro: 8, date: "4 au 10 novembre",
  seance(type: "cours", date: "Vendredi 8/11", durée: 4,
    [Chapitre 7 : Sommes et produits], [
      - I.3 Notion de somme de famille indexée par un ensemble, exemple des termes d'indice pair et impair.
      - I.4 Décalage d'indice, application aux sommes téléscopiques, formule $a^n - b^n$.
      - I.5 Sommes doubles, interversion de la somme, carré ou triangle d'indices.
      - II.1 Le symbole $product$ et ses propriétés.
      - II.2 Factoriel, premiers exemples de calculs de produits.
      - III Calculs de sommes en Python.
    ],
    [Soutien], [Trigonométrie, nombres complexes, logarithmes, correction du DS 2.]
  ),
  seance(type: "spécial", date: "Jeudi 7/11",
    [Pré-conseil de classe], [],
  ),
  seance(type: "cours", date: "Mercredi 6/11", durée: 2,
    [Chapitre 7 : Sommes et produits], [
      - I.1 Le symbole $sum$ et ses propriétés, séparation de la somme, linéarité, cas des sommes complexes, inégalité triangulaire.
      - I.2 Sommes à connaitre $sum_(k=1)^n k$, $sum_(k=1)^n k^2$, $sum_(k=0)^n q^k$, exemples de calculs de sommes.
    ],
  ),
  seance(type: "TP", date: "Mardi 5/11", durée: 2, x2: true,
    [TP 7 : Révisions et consolidation~1], [
      - Diverses situations, conditions, boucles, listes.
    ],
  ),
  seance(type: "TD", date: "Lundi 4/11", durée: 3, x2: true,
    [TD 6 : Suites], [
      - Suites récurrences linéaires d'ordre 1 et 2.
    ],
  ),
)

= Vacances d'automne : 21 octobre au 3 novembre

#semaine(numéro: 7, date: "14 au 20 octobre",
  seance(type: "cours", date: "Vendredi 18/10", durée: (3, 30),
    [Chapitre 6 : Suites], [
      - III.1 Équation caractéristique, principe de linéarité.
      - III.2 Cas $Δ > 0$.
      - III.3 Cas $Δ < 0$.
      - III.4 Cas $Δ = 0$.
      - IV Calcul de termes de suites, et de listes de termes de suites, en Python.
    ],
    [DM 2 pour le 6/11], []
  ),
  seance(type: "spécial", date: "Jeudi 17/10",
    [Entretiens individuels], [],
  ),
  seance(type: "cours", date: "Mercredi 16/10", durée: 2,
    [Chapitre 6 : Suites], [
      - I Notions générales, ensemble des termes d'une suite, croissance, majorations, suites bornées, diverses situations et contre-exemples, propriétés vraies à partir d'un certain rang.
      - II.1 Suites arithmétiques.
      - II.2 Suites géométriques.
      - II.3 Suites arithmético-géométriques, recherche du point fixe, convergence vers le point fixe.
      - III Suites récurrentes d'ordre 2, exemple de Fibonacci.
    ],
  ),
  seance(type: "TP", date: "Mardi 15/10", durée: 2, x2: true,
    [TP 6 : Algorithmes sur les listes], [
      - Diverses situations : compter, sommer, tester une propriété, chercher.
    ],
  ),
  seance(type: "TD", date: "Lundi 14/10", durée: 3, x2: true,
    [TD 5 : Nombres complexes], [
      - Équations, forme exponentielle.
    ],
  ),
)

#semaine(numéro: 6, date: "7 au 13 octobre",
  seance(type: "DS", date: "Samedi 12/10", durée: 3,
    [DS 2], [],
  ),
  seance(type: "cours", date: "Vendredi 11/10", durée: 4,
    [Chapitre 5 : Nombres complexes], [
      - III.1 Introduction de la notation $e^(i θ)$, propriétés élémentaires, interprétation géométrique.
      - III.2 Nombres complexes sous forme exponentielle, conséquences sur le calcul, application au calcul de puissances, application aux racines carrées d'un nombre complexe.
      - III.3 Applications à la trigonométrie, formules d'Euler et de Moivre, applications pour linéariser ou pour développer.
    ],
    [Soutien], [
      - Nombres complexes, trigonométrie.
    ]
  ),
  seance(type: "cours", date: "Mercredi 9/10", durée: 2,
    [Chapitre 5 : Nombres complexes], [
      - II.5 Propriétés algébriques de la conjugaison.
      - II.6 Le module, interprétation géométrique, propriétés algébriques, inégalité triangulaire.
      - II.7 Application aux équations du second degré, solutions complexes dans le cas $Δ < 0$, relation entre coefficients et sommes et produits des racines.
    ],
  ),
  seance(type: "TP", date: "Mardi 8/10", durée: 2, x2: true,
    [TP 5 : Listes], [
      - Introduction, opérations, itérer sur une liste.
      - Créer une liste, avec une liste de zéros, ou par `append` successifs, listes en compréhension.
    ],
  ),
  seance(type: "TD", date: "Lundi 7/10", durée: 3, x2: true,
    [Retour DM 1], [],
    [TD 4 : Trigonométrie], [
      - Identités sur les fonctions trigonométriques réciproques, linéarisation.
    ],
    [TD 5 : Nombres complexes], [
      - Quelques calculs.
    ],
  ),
)

#semaine(numéro: 5, date: "30 septembre au 6 octobre",
  seance(type: "cours", date: "Vendredi 4/10", durée: 4,
    [Retour DS 1], [],
    [Chapitre 5 : Nombres complexes], [
      - II.3 Conséquences, écriture d'un nombre complexe sous forme algébrique, parties réelles et imaginaires, nombres réels et nombres imaginaires purs, identités remarquables, équation $z^2 = c$ où $c ∈ RR$, calculs sur les fractions, calculs sur les puissances, pas de bonne notion d'ordre.
      - II.4 Représentation géométrique, plan complexe, affixe, interprétation de quelques opérations.
      - II.5 Conjugaison complexe, expression des parties réelles et imaginaires, critère pour qu'un nombre complexe soit réel, pour qu'il soit imaginaire pur.
    ],
    [Soutien], [
      - Nombres complexes, trigonométrie, correction du DS 1.
    ]
  ),
  seance(type: "cours", date: "Mercredi 2/10", durée: 2,
    [Chapitre 5 : Nombres complexes], [
      - I Introduction « naïve », manipulations de nombres complexes sous forme algébrique, unicité des parties réelles et imaginaires.
      - II.1 Une construction de $CC$ comme $RR^2$ avec une somme et un produit.
      - II.2 Propriétés algébriques de ces opérations, associativité de la multiplication, distributivité.
    ],
  ),
  seance(type: "TP", date: "Mardi 1/10", durée: 2, x2: true,
    [TP 4 : Boucles `for`], [
      - Boucles `for` simples, application au calcul de suites et de sommes.
      - Boucles doubles.
    ],
  ),
  seance(type: "TD", date: "Lundi 30/09", durée: 3, x2: true,
    [TD 3 : Nombres réels], [
      - Maximum dans $ZZ$, partie entière et approximation décimale.
    ],
    [TD 4 : Trigonométrie], [
      - Application des formules, équations et inéquations.
    ],
  ),
)

#semaine(numéro: 4, date: "23 au 29 septembre",
  seance(type: "spécial", date: "Samedi 28/09",
    [Pot des intégrés], [],
  ),
  seance(type: "cours", date: "Vendredi 27/09", durée: (3, 30),
    [Chapitre 4 : Trigonométrie], [
      - III.1 Équations trigonométriques, donner toutes les solutions, inéquations.
      - III.2 Les fonctions trigonométriques réciproques $arcsin$, $arccos$, $arctan$.
      - III.3 Quelques identités, exemple de $arccos(-x) = π - arccos(x)$.
      - III.4 Applications, résolution d'équations trigonométriques, coordonnées polaires, simplifier $A cos(θ) + B sin(θ)$ en #box[$r cos(θ + φ)$] et applications.
    ]
  ),
  seance(type: "cours", date: "Mercredi 25/09", durée: 2,
    [Chapitre 4 : Trigonométrie], [
      - I.1 Repère orthonormé direct, cercle trigonométrique, angles en radian, fonctions trigonométriques $sin$, $cos$, $tan$.
      - I.2 Valeurs remarquables des fonctions trigonométriques.
      - I.3 Les formules de symétries.
      - II Les formules d'addition, de duplication, démonstration par rotation du repère orthonormé.
    ],
  ),
  seance(type: "TP", date: "Mardi 24/09", durée: 2, x2: true,
    [TP 3 : Fonctions], [
      - Notion de fonction, instruction `return`.
      - Modules, aide interactive, instruction `assert`.
    ],
  ),
  seance(type: "TD", date: "Lundi 23/09", durée: 3, x2: true,
    [TD 3 : Nombres réels], [
      - Équations et inéquations, inégalités et racines carrées, bornes supérieures, parties entières.
    ],
  ),
)

#semaine(numéro: 3, date: "16 au 22 septembre",
  seance(type: "DS", date: "Samedi 21/09", durée: 3,
    [DS 1], [],
  ),
  seance(type: "cours", date: "Vendredi 20/09", durée: (3, 30),
    [Chapitre 3 : Nombres réels], [
      - II.3 Existence de borne supérieure dans $RR$.
      - II.4 Cas des intervalles, propriété de convexité, application à la classification des intervalles.
      - III La fonction partie entière, existence et unicité, représentation graphique, parties entières de racines carrées, application au nombre de chiffres dans l'écriture décimale.
      - IV Rappel des règles de calcul sur les puissances, racines carrées, racines cubiques, puissances négatives et fractionnaires, quantités conjuguées des racines.
    ]
  ),
  seance(type: "cours", date: "Mercredi 18/09", durée: 2,
    [Chapitre 3 : Nombres réels], [
      - II.1 Parties de $RR$ majorées, minorées, bornées, équivalence entre « majoré et minoré » et « majoré en valeur absolue », exemples de majorations.
      - II.2 Maximum, minimum, unicité du maximum, existence pour les parties de $ZZ$.
      - II.3 Bornes supérieures et bornes inférieures, exemples.
    ],
  ),
  seance(type: "spécial", date: "Mercredi 18/09",
    [Photo de classe], [],
  ),
  seance(type: "TP", date: "Mardi 17/09", durée: 2, x2: true,
    [TP 2 : Conditions et boucles], [
      - Conditions `if`, `else`, `elif`.
      - Boucles `while`.
    ],
  ),
  seance(type: "TD", date: "Lundi 16/09", durée: 3, x2: true,
    [TD 2 : Méthodes de démonstration], [
      - Égalité d'ensembles, valeurs absolues, récurrences.
      - Révisions calcul.
    ],
  ),
)

#semaine(numéro: 2, date: "9 au 15 septembre",
  seance(type: "cours", date: "Vendredi 13/09", durée: (3, 30),
    [Chapitre 2 : Méthodes de démonstration], [
      - V Unicité, il existe au plus.
      - VI Récurrence simple, récurrence double.
    ],
    [Chapitre 3 : Nombres réels], [
      - I.1 Propriétés de l'addition et de la multiplication, commutativité, associativité, élément neutre, opposé, inverse, distributivité, identités remarquables, intégrité.
      - I.4 Propriétés de la relation d'ordre, réflexivité, anti-symétrie, transitivité, ordre total, compatibilité avec les opérations.
      - I.6 La valeur absolue, positivité stricte, multiplicativité, inégalité triangulaire (trois versions).
    ]
  ),
  seance(type: "spécial", date: "Jeudi 12/09",
    [Sortie en vallée de Chevreuse], [],
  ),
  seance(type: "cours", date: "Mercredi 11/09", durée: 2,
    [Chapitre 2 : Méthodes de démonstration], [
      - III Inclusions et égalités d'ensembles.
      - IV Démonstration d'un $∀$, méthode directe, disjonction de cas.
      - V Démonstration d'un $∃$, méthode directe, le théorème des valeurs intermédiaires, principe des tiroirs, analyse-synthèse.
    ],
  ),
  seance(type: "TP", date: "Mardi 10/09", durée: 2, x2: true,
    [TP 1 : Prise en main], [
      - Mode interactif, variables, types entiers, flottants, chaines de caractères, booléens.
      - Mode script, `print` et `input`.
    ],
  ),
  seance(type: "TD", date: "Lundi 9/09", durée: 3, x2: true,
    [TD 1 : Logique], [
      - Assertions, logique, tables de vérité, ensembles, quantificateurs.
      - Révisions calcul.
    ],
  ),
)

#semaine(numéro: 1, date: "2 au 8 septembre",
  seance(type: "cours", date: "Vendredi 6/09", durée: (3, 30),
    [Chapitre 1 : Logique], [
      - II.3 Complémentaire, propriétés de l'union et de l'intersection, commutativité, associativité, loi de Morgan, distributivité.
      - II.4 Produit cartésien, listes.
      - III.1 Quantificateurs pour tout, il existe, et leur négation.
      - III.2 Assertions avec plusieurs quantificateurs, problème de l'ordre des quantificateurs.
    ],
    [Chapitre 2 : Méthodes de démonstration], [
      - I Démonstration d'une implication directe, utilisation de la contraposée, raisonnement par l'absurde.
      - II Raisonnement par équivalences, raisonnement par implication et réciproque.
    ],
    [DM 1 pour le 20/09], []
  ),
  seance(type: "cours", date: "Mercredi 4/09", durée: 2,
    [Chapitre 1 : Logique], [
      - I.4 Implication, négation, réciproque, équivalence, condition nécessaire et suffisante, contraposée.
      - II.1 Ensembles, exemples de constructions.
      - II.2 Inclusion, réflexivité, anti-symétrie, transitivité, ensemble des parties.
      - II.3 Union, intersection, différence.
    ],
  ),
  seance(type: "cours", date: "Mardi 3/09", durée: 2, spécial: true,
    [Présentation générale], [],
    [Chapitre 1 : Logique], [
      - I.1 Assertions, fermées ou avec des variables libres.
      - I.2 Constructions d'assertions avec et, ou, non, tables de vérité.
      - I.3 Propriétés : commutativité, associativité, lois de Morgan, distributivité.
    ],
  ),
  seance(type: "spécial", date: "Mardi 3/09", durée: 2,
    [Accueil des élèves], [
      - Journée de rentrée.
      - Accueil par les trois professeurs de la classe et formalités.
    ],
  ),
)


// Local Variables:
// typst-ts-compile-options: "--root ../"
// typst-ts-watch-options: "--root ../"
// End:
