// Louis-Clément LEFÈVRE
//
// Modèle pour les programmes de colle

#import "hoche.typ": *

// style principal pour un programme de colle
#let hoche-colle(
  numéro: none,
  date: none,
  body
) = {
  assert(numéro == none or (0 <= numéro and numéro < 100))
  let num = if (numéro != none) { if numéro < 10 { "0" + str(numéro) } else { str(numéro) } }
  let titre = "Programme de colle" + if (numéro != none) { sym.space.nobreak + str(numéro)} + if (date != none) { linebreak() + date }
  let titre-header = "Programme de colle" + if (numéro != none) { sym.space.nobreak + num }
  let titre-PDF = if (numéro != none) { "Semaine" + " " + num }
  let code = if (numéro != none) { "Semaine" + " " + num }
  show: hoche.with(
    titre: titre,
    titre-header: date,
    titre-PDF: titre-PDF,
    code: code,
    numéro-page: true,
    no-header-first-page: true,
    extra-keywords: ("mathématiques", "programme de colle", ),
  )
  set heading(numbering: none)
  show heading.where(level: 2): it => {
    set text(size: 11pt, weight: "bold")
    block(above: 0.8em, it)
  }
  show heading.where(level: 1): it => block(
    stroke: ("bottom": 0.4pt),
    width: 100%,
    inset: ("bottom": 6pt),
    above: 1.2em,
    it
  )
  
  body
}

#let notions(body) = {
  block[
    = Notions
    #sym.arrow.r.curve; _En un coup d'œil, les notions qui ont été vues en cours et sur lesquelles portent les colles de la semaine._
  ]
  body
}

#let savoirfaire(body) = {
  block[
    = Savoir-faire
    #sym.arrow.r.curve; _Description des compétences attendues et des types d'exercices possibles._
  ]
  body
}

#let cours(body) = {
  block[
    = Questions de cours
    #sym.arrow.r.curve; _Les questions à travailler et à savoir refaire, incluant l'énoncé précis et la démonstration._
  ]
  body
}
